Back to the main site

[solved] Why does Lutris not use the installed dxvk and dxvk-nvapi

I downloaded them both and placed them in the correct path. But for some reason Lutris does not detect them.

dxvk 1.9.3: ~/.local/share/lutris/runtime/dxvk/v1.9.3
dxvk-nvapi 0.5.1: ~/.local/share/lutris/runtime/dxvk-nvapi/v0.5.1

1 Like

i think you have to install them like sudo apt install dxvk if you on debian

1 Like

I am on Pop! OS and no sudo apt is not needed to extract the files to the lutris location.

so am i but it should use it if its installed??? why would you need to extract it to the lutris location?

1 Like

Did you compiled the source first?
Because after compiling will generate two directories one for 32 bit and other 64 bit with DLL file.

So you can put in respective lutris folder. But I think auto detection it’s kind broken for now, the workaround is just input manually the directory name in configuration screen in lutris

1 Like

Hello. Once you have the folder pasted in, you have to manually type the name of the folder of the version(s) you want to see.

Since these are not included in Lutris yet, they do not appear in the drop-down menu, even if you place the files manually. So, if you dxvk folder is called dxvk192-123456 then you manually type that into Lutris for your whatever game it is. You can see what the current one in the drop down looks like in the same folder. You’ll see what i mean.

1 Like

But I think auto detection it’s kind broken for now, the workaround is just input manually the directory name in configuration screen in lutris

have you tried to unstall lutris and delte the folder and isntall lutris again to se if it works
because i have it.

1 Like

You don’t have the latest dxvk 1.9.3 and dxvk nvapi 0.5.1

Did you try to download the files first ? they are master and already compiled with these 2 folders

I already tried that but was not sure if it was in use or not. Thanks for confirming!

I checked everything again today, added the option DXVK_HUD=full and i saw it used 1.9.3. i also tried to set a different naming to a folder that does not exist…then it uses 1.9.2L. Adding it manually did work, i only was not sure if it did or did not.

Thanks for all the help.

You don’t have the latest dxvk 1.9.3 and dxvk nvapi 0.5.1

Unsless there is somthing im missing i do

Your shot says 1.9.2L